<?xml version="1.0" encoding="ASCII"?>

<!-- oks-schema version 2.0 -->


<!DOCTYPE oks-schema [
  <!ELEMENT oks-schema (info, (include)?, (comments)?, (class)+)>
  <!ELEMENT info EMPTY>
  <!ATTLIST info
      name CDATA #REQUIRED
      type CDATA #REQUIRED
      num-of-items CDATA #REQUIRED
      oks-format CDATA #FIXED "schema"
      oks-version CDATA #REQUIRED
      created-by CDATA #REQUIRED
      created-on CDATA #REQUIRED
      creation-time CDATA #REQUIRED
      last-modified-by CDATA #REQUIRED
      last-modified-on CDATA #REQUIRED
      last-modification-time CDATA #REQUIRED
  >
  <!ELEMENT include (file)+>
  <!ELEMENT file EMPTY>
  <!ATTLIST file
      path CDATA #REQUIRED
  >
  <!ELEMENT comments (comment)+>
  <!ELEMENT comment EMPTY>
  <!ATTLIST comment
      creation-time CDATA #REQUIRED
      created-by CDATA #REQUIRED
      created-on CDATA #REQUIRED
      author CDATA #REQUIRED
      text CDATA #REQUIRED
  >
  <!ELEMENT class (superclass | attribute | relationship | method)*>
  <!ATTLIST class
      name CDATA #REQUIRED
      description CDATA ""
      is-abstract (yes|no) "no"
  >
  <!ELEMENT superclass EMPTY>
  <!ATTLIST superclass name CDATA #REQUIRED>
  <!ELEMENT attribute EMPTY>
  <!ATTLIST attribute
      name CDATA #REQUIRED
      description CDATA ""
      type (bool|s8|u8|s16|u16|s32|u32|s64|u64|float|double|date|time|string|uid|enum|class) #REQUIRED
      range CDATA ""
      format (dec|hex|oct) "dec"
      is-multi-value (yes|no) "no"
      multi-value-implementation (list|vector) "list"
      init-value CDATA ""
      is-not-null (yes|no) "no"
  >
  <!ELEMENT relationship EMPTY>
  <!ATTLIST relationship
      name CDATA #REQUIRED
      description CDATA ""
      class-type CDATA #REQUIRED
      low-cc (zero|one) #REQUIRED
      high-cc (one|many) #REQUIRED
      is-composite (yes|no) #REQUIRED
      is-exclusive (yes|no) #REQUIRED
      is-dependent (yes|no) #REQUIRED
      multi-value-implementation (list|vector) "list"
  >
  <!ELEMENT method (method-implementation*)>
  <!ATTLIST method
      name CDATA #REQUIRED
      description CDATA ""
  >
  <!ELEMENT method-implementation EMPTY>
  <!ATTLIST method-implementation
      language CDATA #REQUIRED
      prototype CDATA #REQUIRED
      body CDATA ""
  >
]>

<oks-schema>

<info name="" type="" num-of-items="1" oks-format="schema" oks-version="oks-06-07-01 built &quot;Jun 19 2014&quot;" created-by="gruwe" created-on="lxplus051" creation-time="20040326T093404" last-modified-by="anegri" last-modified-on="lxplus0162.cern.ch" last-modification-time="20140728T085152"/>

<include>
 <file path="daq/schema/df.schema.xml"/>
 <file path="ftk/schema/FTKCommon.schema.xml"/>
</include>


 <class name="ReadoutModule_flic" description="FTK to L2 (HLT) interface crate">
  <superclass name="ReadoutModule_FTK"/>
  <superclass name="ResourceSetAND"/>
  <attribute name="Slot" description="Slot position in the Crate" type="u32" format="dec" init-value="14" is-not-null="yes"/>
  <attribute name="BoardNumber" description="Physical ID for the Flic" type="u32" format="dec" init-value="0" is-not-null="yes"/>
  <attribute name="DryRun" description="Bypass all the ATCA calls to validate the infrastructure only"  type="bool" init-value="0" is-not-null="yes"/>
  <attribute name="Dummy" description="Just a dummy field"  type="bool" init-value="0" is-not-null="yes"/>
  <attribute name="FlicIP" description="IP of FLIC in PIC firmware" type="string"/>
  <attribute name="Port" description="FLIC port or service" type="string"/>
  <attribute name="HostIP" description="IP of FLIC host machine" type="string"/>
  <attribute name="Verbose" description="Verbosity of RC messages" type="u16" init-value="0" is-not-null="yes"/>
  <attribute name="CaptureCondition" description="Verbosity of RC messages" type="u16" init-value="0" is-not-null="yes"/>
  <attribute name="MonitoringChannel" description="Select which channel to monitor" type="u16" init-value="0" is-not-null="yes"/>
  <attribute name="LoopbackMode" description="Set FLIC in loopback mode for standalone testing" type="bool" init-value="1"/>
  <attribute name="UseAsSSBe" description="Configure board as SSB emulator" type="bool" init-value="0"/>
  <attribute name="Use32bitL1ID" description="Configure the SSB emulator to generate 32 bits L1ID" type="bool" init-value="1"/>
  <attribute name="TracksPerRecord" description="Set # of tracks per SSBe fragment for LoopbackMode [0-255]" type="u16" init-value="13"/>
  <attribute name="DelayBetweenRecords" description="Set delay between records for LoopbackMode [1-4096]" type="u16" init-value="1000"/>
  <attribute name="TotalRecords" description="Number of event fragments to run when in loopbackMode [0 := continuous]" type="u16" init-value="0"/>
  <attribute name="DelayBetweenSyncAttempts" description="Time to wait between attempts at syncing with SSB [s]" type="u32" init-value="5"/>
  <attribute name="TotalSyncAttempts" description="Number of sync attempts before throwing error" type="u16" init-value="5"/>
  <attribute name="LinksInUse" description="Bitmap (8-bits) indicating which ROS links to check" type="u16" init-value="0" is-not-null="yes"/>
  <attribute name="TotalROSLinkResets" description="Number of times to try resetting ROS links before throwing error" type="u16" init-value="0"/>
  <attribute name="IgnoreROSLinks" description="Do not pay attention to XOFFs coming from Robin(NP) and send data regardless of link statuses" type="bool" init-value="0"/>
  <attribute name="ReloadFirmware" description="Reload U1-U4 firmware from Flash memory on configure" type="bool" init-value="0" is-not-null="yes"/>
  <attribute name="ReloadSRAMs" description="Load Module ID lookup tables into SRAMs on configure" type="bool" init-value="0" is-not-null="yes"/>
 </class>

</oks-schema>
